Subject: Re: [PATCH] ethtool: Add bash-completion script

From: Jesse Brandeburg <[email-masked]>
Date: Thu, 11 Apr 2019 09:14:38 -0700

On Sun, 7 Apr 2019 20:19:37 -0600
Kevin Locke <[email-masked]> wrote:

> To aid users constructing a valid ethtool invocation, create a
> [bash-completion] script to provide [programmable completion] of ethtool
> arguments.  It supports all current command options.
> 
> The script is placed in shell-completion/bash and installed to
> completionsdir from pkg-config for bash-completion, similar to [kmod].
> It requires pkg-config 0.18 or later to be installed on the build
> system which runs aclocal (for the PKG_CHECK_MODULES m4 macro).
> 
> Note: In [scop/bash-completion#289] the bash-completion maintainer
> suggested shipping this completion with ethtool rather than
> bash-completion, due to assumptions about the ethtool command-line
> format made by the script.  That pull request also contains an extensive
> test suite in Python which is not included in this commit, but may be
> ported to a format suitable for inclusion if there is sufficient
> interest and agreement about how to achieve that.
> 
> [bash-completion]: https://github.com/scop/bash-completion
> [programmable completion]: https://www.gnu.org/software/bash/manual/html_node/Programmable-Completion.html
> [kmod]: https://git.kernel.org/pub/scm/utils/kernel/kmod/kmod.git/tree/
> [scop/bash-completion#289]: https://github.com/scop/bash-completion/pull/289
> 
> Signed-off-by: Kevin Locke <[email-masked]>

Thank you! I think this is super useful, and I agree FWIW that it
should be part of ethtool.  I suspect that it needs to be installed by
any package manager as part of ethtool install, into the right
directory.  Could be a followup patch?

And the only (minor) complaint I have about your patch is that the
commit message doesn't show how to install it (basically just copy
ethtool file from this patch to
f.e. /usr/share/bash-completion/completions/)

I did a quick touch test of it and it seemed to be completing ethtool
commands which made me really happy, especially the network interface
names which are so long.

Reviewed-by: Jesse Brandeburg <[email-masked]>

And now I'm going to go and tell everyone I work with about this
patch. :-)